MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023289Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-16 16:242012-11-16 13:18
ReporterPawel 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023289: IntCurve_IntPolyPolyGen.gxx, suspicious else
Descriptionin lines 805:

if ((D1.LastParameter()-D1.FirstParameter()) > 0.5*(DeltaU))
    nbsamplesOnC1=(5*(nbsamplesOnC1*NbIter))/4;
      else
    nbsamplesOnC1=(5*(nbsamplesOnC1*NbIter))/4;

and 822:

 if ((D2.LastParameter()-D2.FirstParameter()) > 0.5*(DeltaV))
    nbsamplesOnC2=(5*(nbsamplesOnC2*NbIter))/4;
      else
    nbsamplesOnC2=(5*(nbsamplesOnC2*NbIter))/4;
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023132closedomy Suspicious code snippets 

-  Notes
(0021817)
aba (developer)
2012-10-17 15:05

Conditional blocks in lines 805 and 822 were removed as lines 'nbsamplesOnC1=(5*(nbsamplesOnC1*NbIter))/4;' and 'nbsamplesOnC2=(5*(nbsamplesOnC2*NbIter))/4;' are executed in any case.
(0021818)
aba (developer)
2012-10-17 15:07

The git branch CR23289 is ready to be reviewed.

Dear oan, please review.
(0021874)
oan (developer)
2012-10-22 11:15

No comments.

Dear JGV,
Please review. Is it right to use the same equation in both cases or another coefficient should be used?
(0022097)
jgv (developer)
2012-11-06 13:32

Please find and correct another similar blocks where <nbsamples> is initialized by strange way.
(0022102)
aba (developer)
2012-11-06 15:10

Another strange initialization of 'nbsamples' variable was found in IntCurve_IntPolyPolyGen.gxx. The Git branch CR23289 was updated.
Dear jgv, please review.
(0022109)
jgv (developer)
2012-11-06 16:59

No remarks
(0022137)
mkv (tester)
2012-11-07 17:10

Dear BugMaster,
Branch CR23289 (and master from occt GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master 5d351552
Timestamp: 2012-11-09 11:47:10
Author: aba
Details ] Diff ]
0023289: IntCurve_IntPolyPolyGen.gxx, suspicious else

if-else blocks in lines 805 and 822 were removed.
Corrected initialization of 'nbsamples' variable
mod - src/IntCurve/IntCurve_IntPolyPolyGen.gxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-16 16:24 Pawel New Issue
2012-07-16 16:24 Pawel Assigned To => bugmaster
2012-07-16 16:25 Pawel Relationship added child of 0023132
2012-10-09 18:46 oan Assigned To bugmaster => aba
2012-10-09 18:46 oan Status new => assigned
2012-10-17 15:05 aba Note Added: 0021817
2012-10-17 15:07 aba Note Added: 0021818
2012-10-17 15:07 aba Status assigned => resolved
2012-10-17 15:07 aba Assigned To aba => oan
2012-10-22 11:15 oan Note Added: 0021874
2012-11-01 12:43 oan Assigned To oan => jgv
2012-11-06 13:29 jgv Assigned To jgv => aba
2012-11-06 13:32 jgv Note Added: 0022097
2012-11-06 13:32 jgv Status resolved => assigned
2012-11-06 15:10 aba Note Added: 0022102
2012-11-06 15:10 aba Assigned To aba => jgv
2012-11-06 15:10 aba Status assigned => resolved
2012-11-06 16:59 jgv Note Added: 0022109
2012-11-06 16:59 jgv Status resolved => reviewed
2012-11-06 18:06 mkv Assigned To jgv => mkv
2012-11-07 17:10 mkv Note Added: 0022137
2012-11-07 17:12 mkv Test case number => Not needed
2012-11-07 17:12 mkv Assigned To mkv => bugmaster
2012-11-07 17:12 mkv Status reviewed => tested
2012-11-12 11:33 aba Changeset attached => occt master 5d351552
2012-11-12 11:33 aba Assigned To bugmaster => aba
2012-11-12 11:33 aba Status tested => verified
2012-11-12 11:33 aba Resolution open => fixed
2012-11-16 13:13 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker